=== debian/changelog ===
rtl-433 (19.08-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 30 Aug 2019 20:32:53 +0200

rtl-433 (18.12+git20190808-2) unstable; urgency=medium

  * Also install config file examples.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Aug 2019 21:05:21 +0200

rtl-433 (18.12+git20190808-1) unstable; urgency=medium

  * Initial release. (Closes: #851309)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 08 Aug 2019 11:28:40 +0200
