=== debian/control ===
Source: rtl-433
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
Standards-Version: 4.2.1
Homepage: https://github.com/merbanan/rtl_433

Package: rtl-433
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decode 433.9 Mhz data
 This is a program to decode traffic from devices that are broadcasting on
 433.9 MHz like temperature sensors.

Package: rtl-433-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: Documentation for decoder of 433.9 Mhz data
 This is the documentation for the program to decode traffic from devices
 that are broadcasting on 433.9 MHz like temperature sensors.
