=== debian/changelog ===
rtl-433 (20.02-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * d/rules: force cmake build.
  * d/examples: added.
  * d/control: drop rtl-433-doc package.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 13:08:21 +0100

rtl-433 (19.08-2) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 25 Nov 2019 14:37:51 +0100
