=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,19 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PKG_CONFIG_PATH=debian/
-export VERSION=2018abc
+export VERSION=20.02
 
 %:
 	dh $@
 
+override_dh_autoreconf:
+	@echo disable autoreconf
+	echo 20.02 > .version
+	-mv configure.ac configure.ac.disabled
+	dh_auto_configure
+
 override_dh_compress:
 	dh_compress -X.conf
+
+override_dh_auto_install:
+	@echo skip install
