=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,8 @@
 add_executable(style-check style-check.c)
 file(GLOB STYLE_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c ../CMakeLists.txt ../*/CMakeLists.txt)
 list(REMOVE_ITEM STYLE_CHECK_FILES
+    "${CMAKE_CURRENT_SOURCE_DIR}/../include/jsmn.h"
+    "${CMAKE_CURRENT_SOURCE_DIR}/../src/jsmn.c"
     "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
 add_test(style-check style-check ${STYLE_CHECK_FILES})
@@ -49,6 +51,8 @@
 if(BUILD_TESTING_ANALYZER)
 file(GLOB ANALYZER_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c)
 list(REMOVE_ITEM ANALYZER_CHECK_FILES
+    "${CMAKE_CURRENT_SOURCE_DIR}/../include/jsmn.h"
+    "${CMAKE_CURRENT_SOURCE_DIR}/../src/jsmn.c"
     "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
 add_test(clang-analyzer
