=== debian/changelog ===
rtl-433 (20.11-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 13 Nov 2020 15:34:20 +0100
