=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: hamradio
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
+Build-Depends: debhelper-compat (= 13), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433
