=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,17 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PKG_CONFIG_PATH=debian/
-export VERSION=20.02
+export VERSION=20.11
 
 %:
 	dh $@
 
 override_dh_autoreconf:
 	@echo disable autoreconf
-	echo 20.02 > .version
+	echo 20.11 > .version
 	-mv configure.ac configure.ac.disabled
 	dh_auto_configure
