=== debian/changelog ===
rtl-433 (21.12-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Bump debhelper version to 13, drop d/compat.
  * Update maintainer address.
  * d/copyright: bump copyright years.

  [ Christoph Berg ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Gürkan Myczko <tar@debian.org>  Tue, 14 Dec 2021 18:30:32 +0100

rtl-433 (20.02-2) unstable; urgency=medium

  * Add a small patch to improve performance.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 18 Feb 2020 08:10:31 +0100
