=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: rtl-433
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433
