## rtl-433 21.12+git20220718+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,16 @@
     output_file.c
     output_influx.c
     output_mqtt.c
+    output_rtltcp.c
+    output_trigger.c
     output_udp.c
     pulse_analyzer.c
-    pulse_demod.c
     pulse_detect.c
     pulse_detect_fsk.c
+    pulse_slicer.c
     r_api.c
     r_util.c
+    raw_output.c
     rfraw.c
     samp_grab.c
     sdr.c
@@ -43,9 +46,11 @@
     devices/acurite_01185m.c
     devices/akhan_100F14.c
     devices/alecto.c
+    devices/altronics_x7064.c
     devices/ambient_weather.c
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
+    devices/ant_antplus.c
     devices/archos_tbh.c
     devices/atech_ws308.c
     devices/auriol_4ld5661.c
@@ -83,6 +88,8 @@
     devices/elro_db286a.c
     devices/elv.c
     devices/emontx.c
+    devices/emos_e6016.c
+    devices/emos_e6016_rain.c
     devices/enocean_erp1.c
     devices/ert_idm.c
     devices/ert_scm.c
@@ -94,6 +101,8 @@
     devices/fineoffset_wh1050.c
     devices/fineoffset_wh1080.c
     devices/fineoffset_wh31l.c
+    devices/fineoffset_wh45.c
+    devices/fineoffset_ws80.c
     devices/flex.c
     devices/fordremote.c
     devices/fs20.c
@@ -166,6 +175,7 @@
     devices/quhwa.c
     devices/radiohead_ask.c
     devices/rainpoint.c
+    devices/regency_fan.c
     devices/rftech.c
     devices/rojaflex.c
     devices/rubicson.c
@@ -178,6 +188,7 @@
     devices/sharp_spc775.c
     devices/silvercrest.c
     devices/simplisafe.c
+    devices/simplisafe_gen3.c
     devices/smoke_gs558.c
     devices/solight_te44.c
     devices/somfy_iohc.c
@@ -195,6 +206,7 @@
     devices/thermopro_tp12.c
     devices/thermopro_tx2.c
     devices/tpms_abarth124.c
+    devices/tpms_ave.c
     devices/tpms_citroen.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
@@ -204,6 +216,7 @@
     devices/tpms_pmv107j.c
     devices/tpms_porsche.c
     devices/tpms_renault.c
+    devices/tpms_renault_0435r.c
     devices/tpms_toyota.c
     devices/tpms_truck.c
     devices/ts_ft002.c
@@ -218,6 +231,7 @@
     devices/wt450.c
     devices/x10_rf.c
     devices/x10_sec.c
+    devices/yale_hsa.c
 )
 
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
@@ -228,12 +242,21 @@
 add_executable(rtl_433 rtl_433.c)
 target_link_libraries(rtl_433 r_433)
 
+# target_compile_definitions was only added with CMake 2.8.11
+if(THREADS_HAVE_PTHREAD_ARG)
+    set_target_properties(r_433 PROPERTIES COMPILE_OPTIONS "-pthread")
+    set_target_properties(r_433 PROPERTIES INTERFACE_COMPILE_OPTIONS "-pthread")
+endif()
+if(CMAKE_THREAD_LIBS_INIT)
+    target_link_libraries(rtl_433 "${CMAKE_THREAD_LIBS_INIT}")
+endif()
+
 if(MSVC)
     # needs CMake 3.1 but Windows builds should have that
     target_sources(rtl_433 PRIVATE getopt/getopt.c)
 endif()
 
-add_library(data data.c abuf.c term_ctl.c)
+add_library(data data.c abuf.c)
 target_link_libraries(data ${NET_LIBRARIES})
 
 target_link_libraries(rtl_433
