=== debian/changelog ===
rtl-433 (21.12+git20220718+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Mon, 25 Jul 2022 09:53:50 +0200

rtl-433 (21.12+git20220718+ds-1) experimental; urgency=medium

  * New upstream version. (Closes: #1008000, #1009788)
    (Addresses CVE-2022-25050, CVE-2022-25051, CVE-2022-27419)

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Jul 2022 14:36:55 +0200
